#!/usr/bin/env python

# An example suite

DUT = "python dut.py"

suite = []

taskNumbers = [ 
	(1, xrange(1, 4  + 1)),
	(2, xrange(1, 8  + 1)),
	(3, xrange(1, 13 + 1))
]

# Section 1 - 4 Aufgaben
for taskNumber, tasks in taskNumbers:
	sectionNum = taskNumber
	
	for taskNum in tasks:
		suite.append(
			Test(
				name = "Aufgabe {}.{}".format(sectionNum, taskNum),
				command = "$DUT {} {}".format(sectionNum, taskNum),
				stderr = ""
			)
		)